# Exceptions

- [ApiError](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/api-error.md): Raised when the Fiddler API returns an HTTP error response.
- [AsyncJobFailed](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/async-job-failed.md): Raised when an asynchronous job fails to execute successfully.
- [Conflict](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/conflict.md): Raised when a request conflicts with the current state of a resource (HTTP 409).
- [ConnError](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/conn-error.md): Raised when a connection error occurs during HTTP requests.
- [ConnTimeout](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/conn-timeout.md): Raised when a connection timeout occurs during HTTP requests.
- [HttpError](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/http-error.md): Base class for all HTTP-related errors.
- [IncompatibleClient](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/incompatible-client.md): Raised when the Python client version is incompatible with the Fiddler platform version.
- [NotFound](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/not-found.md): Raised when a requested resource is not found (HTTP 404).
- [Unsupported](https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions/unsupported.md): Raised when an unsupported operation is attempted.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiddler.ai/api/fiddler-python-client-sdk/exceptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
